Skip to main content
POST
/
v1
/
namespaces
/
{tenant_meta.namespace}
/
package-managers
CreatePackageManager
curl --request POST \
  --url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/package-managers \
  --header 'Content-Type: application/json' \
  --data '
{
  "meta": {
    "name": "<string>",
    "annotations": {},
    "description": "<string>",
    "index_data": {},
    "parent_kind": "<string>",
    "parent_uuid": "<string>",
    "tags": [
      "<string>"
    ]
  },
  "spec": {
    "gradle": {
      "property_key_name": "<string>",
      "property_key_value": "<string>"
    },
    "package_manager_status": {
      "last_tested_at": "2023-11-07T05:31:56Z",
      "state": "STATE_UNSPECIFIED"
    }
  },
  "propagate": true,
  "tenant_meta": {}
}
'
{
  "meta": {
    "name": "<string>",
    "annotations": {},
    "create_time": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "description": "<string>",
    "index_data": {
      "data": [
        "<string>"
      ],
      "search_score": 123,
      "tenant": "<string>",
      "will_be_deleted_at": "2023-11-07T05:31:56Z"
    },
    "kind": "<string>",
    "parent_kind": "<string>",
    "parent_uuid": "<string>",
    "references": {},
    "tags": [
      "<string>"
    ],
    "update_time": "2023-11-07T05:31:56Z",
    "updated_by": "<string>",
    "upsert_time": "2023-11-07T05:31:56Z",
    "version": "<string>"
  },
  "spec": {
    "auth_provider": {
      "package_manager_type": "PACKAGE_MANAGER_TYPE_UNSPECIFIED",
      "aws": {
        "allowed_audience": "<string>",
        "domain": "<string>",
        "domain_owner": "<string>",
        "region": "<string>",
        "repository": "<string>",
        "target_role_arn": "<string>"
      },
      "gar": {
        "location": "<string>",
        "project_id": "<string>",
        "repository": "<string>",
        "service_account_key": "<string>"
      }
    },
    "cargo": {
      "priority": 123,
      "token": "<string>",
      "url": "<string>"
    },
    "cocoapod": {
      "priority": 123,
      "url": "<string>"
    },
    "gem": {
      "priority": 123,
      "password": "<string>",
      "url": "<string>",
      "user": "<string>"
    },
    "gradle": {
      "mtls": {
        "client_cert": "<string>",
        "client_key": "<string>",
        "ca_cert": "<string>",
        "server_cert": "<string>"
      },
      "property_key_name": "<string>",
      "property_key_value": "<string>"
    },
    "mvn": {
      "priority": 123,
      "id": "<string>",
      "is_plugin_repository": true,
      "mtls": {
        "client_cert": "<string>",
        "client_key": "<string>",
        "ca_cert": "<string>",
        "server_cert": "<string>"
      },
      "name": "<string>",
      "password": "<string>",
      "public_repository": true,
      "region": "<string>",
      "snapshots": true,
      "url": "<string>",
      "user": "<string>"
    },
    "npm": {
      "priority": 123,
      "auth_token": "<string>",
      "mtls": {
        "client_cert": "<string>",
        "client_key": "<string>",
        "ca_cert": "<string>",
        "server_cert": "<string>"
      },
      "scope": "<string>",
      "token": "<string>",
      "url": "<string>"
    },
    "nuget": {
      "priority": 123,
      "password": "<string>",
      "url": "<string>",
      "user": "<string>"
    },
    "package_manager_status": {
      "error_message": "<string>",
      "last_tested_at": "2023-11-07T05:31:56Z",
      "state": "STATE_UNSPECIFIED"
    },
    "packagist": {
      "auth_kind": "AUTH_KIND_UNSPECIFIED",
      "host": "<string>",
      "password": "<string>",
      "user": "<string>"
    },
    "pypi": {
      "priority": 123,
      "mtls": {
        "client_cert": "<string>",
        "client_key": "<string>",
        "ca_cert": "<string>",
        "server_cert": "<string>"
      },
      "password": "<string>",
      "url": "<string>",
      "user": "<string>"
    },
    "swift": {
      "priority": 123,
      "basic_auth": {
        "password": "<string>",
        "username": "<string>"
      },
      "scope": "<string>",
      "token": "<string>",
      "url": "<string>"
    }
  },
  "propagate": true,
  "tenant_meta": {
    "namespace": "<string>"
  },
  "uuid": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.endorlabs.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

tenant_meta.namespace
string
required

Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".

Body

application/json

PackageManager holds the data for the various package managers of the enterprise. Mainly locations and access credentials when needed to resolve/scan packages from private package managers. An enterprise can create one or more package managers in a namespace. All the package managers of the given namespace will be taken into account when resolving.

meta
object
required

Common fields for all Endor Labs resources.

spec
object
required
propagate
boolean

Propagate indicates that the object should be visible in child namespaces.

tenant_meta
Git repositories are associated tenant. · object

Git repositories are associated tenant.

Response

A successful response.

PackageManager holds the data for the various package managers of the enterprise. Mainly locations and access credentials when needed to resolve/scan packages from private package managers. An enterprise can create one or more package managers in a namespace. All the package managers of the given namespace will be taken into account when resolving.

meta
object
required

Common fields for all Endor Labs resources.

spec
object
required
propagate
boolean

Propagate indicates that the object should be visible in child namespaces.

tenant_meta
object

Tenant related data for the tenant containing the resource.

uuid
string
read-only

The UUID of the package manager.